# Payments Link

<mark style="color:$info;">Get detailed information about a specific payments link, including its title, desc, amount type, charge type, payment methods, price,  supported chains, status and more.</mark>

***

{% hint style="warning" %}
This API is primarily used to render preview data before opening the CoindPay Payments Link checkout (e.g., card previews or product details).

In most cases, it is not required and is not recommended, as it may introduce additional funnel steps and negatively impact conversion rates.

We recommend following the quick integration approach outlined in our [Integration](/landing/start/developers/integration.md) guide.
{% endhint %}

### API

```typescript
GET /payment/payee
```

Example:

```typescript
GET {API_DOMAIN}/payment/payee?id=0GRW2_vl4S***AdKj-blu
```

### Query Params

| Name | Type     | Required | Example                 | Description                             |
| ---- | -------- | -------- | ----------------------- | --------------------------------------- |
| `id` | string\* | Yes      | `b-y_ngimTqIEj2q1HQAIj` | Unique identifier for the payments link |

> `*` Required

### Response

#### ✅  200 - Success

```json
{
  "ok": true,
  "data": {
    "id": "0GRW2_vl4SWHHAdKj-blu",
    "uuid": "business_app_abc123",
    "title": "Buy Me a Coffee",
    "desc": "Support my work with a coffee ☕",
    "price": 3.5,
    "amountType": 1,
    "maxAmount": 50000,
    "payType": [ "fiat", "crypto"],
    "chargeType": 1,
    "chains": [ "solana", "ethereum"],
    "fiatToken": "USDC",
    "images": [ 
      "https://cdn.coindpay.xyz/xx1.png",
      "https://cdn.coindpay.xyz/xx2.png" 
    ],
    "theme": 2,
    "copyright": { 
      "logo": "https://cdn.coindpay.xyz/steady/brand/logo/dark.png" 
    },
    "status": 1,
    "createdAt": "2025-06-20T12:34:56Z",
    "updatedAt": "2025-10-09T12:34:56Z",
  }
}
```

***

#### Field Descriptions

| Field           | Type        | Description                                                                                                                                                |
| --------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`            | string\*    | Unique identifier of the payments link                                                                                                                     |
| `uuid`          | string\*    | Linked user uuid                                                                                                                                           |
| `title`         | string\*    | Title of the payments                                                                                                                                      |
| `desc`          | string?     | Description of the payments                                                                                                                                |
| `price`         | float?      | Fixed payments amount (used if `amountType = 1`)                                                                                                           |
| `amountType`    | int\*       | <p>Type of amount:<br><code>1</code> = fixed<br><code>2</code> = variable <br>(up to <code>maxAmount</code>)</p>                                           |
| `maxAmount`     | float?      | <p>Maximum amount if using variable pricing<br>Maximum: 50000</p>                                                                                          |
| `chains`        | string\[]?  | <p>Supported chains (e.g., <code>solana</code>, <code>ethereum</code>)<br>svm: Not include chainId<br>evm：Includes chainId</p>                             |
| `images`        | string\[]?  | Cover image(s) for display                                                                                                                                 |
| `theme`         | int\*       | <p>Theme/style variant<br>0/1/2/3/4/5</p>                                                                                                                  |
| `copyright`     | object?     | Custom brand logo                                                                                                                                          |
| `status`        | int\*       | <p>Status:</p><p>@default(1)<br><code>1</code> = online<br><code>-1</code> = offline<br><code>0</code> = deleted</p>                                       |
| `chargeType`    | int\*       | <p>Charge Type</p><p>@default(1)<br><code>1</code> = Single payment<br>Charge a one-time fee<br><code>2</code> = Subscription<br>Charge an ongoing fee</p> |
| `subscribeType` | string?     | <p>Subscribe Type<br>✅ chargeType=2<br>@default('monthly')<br><code>monthly</code><br><code>weekly</code></p>                                              |
| `payType`       | string\[]\* | <p>Payment Methods Multi-select </p><p><code>fiat</code><br><code>crypto</code></p>                                                                        |
| `createdAt`     | string      | ISO 8601 creation timestamp                                                                                                                                |

***

#### ❌  Error Responses

**404 - Not Found**

```json
{
  "ok": false,
  "message": "Payment link not found ˙◠˙"
}
```

***

### cURL Request

```bash
curl "https://api.coindpay.xyz/payment/payee?id=0GRW2_vl4SWHHAdKj-blu"
```

***

### Notes

* If `amountType = 2`, allow users to enter an amount up to `maxAmount`.
* The `uuid` field can be used to query the owner's other links or rewards.
* Use the `status` value to determine whether to display the link.
* <mark style="color:purple;">Please use real payment id and other params to integrate and test the API.</mark>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coindpay.xyz/landing/start/developers/payments-link.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
